/* Использование функций задержки */

/* Микроконтроллер  AT90S2313 */

#include <90s2313.h> 	// подключаем  заголовочный файл используемого 
					// микроконтроллера AVR

/* Подключим функции задержки */ 
#include <delay.h>

/* Основная функция программы */ 

void main(void) 
{
		#asm("cli")		// запретим прерывания
		delay_us(150); 	// сгенерируем задержку 150 мкс
		...
		delay_ms(15); 	// сгенерируем задержку 15 мс
		#asm("sei")		// разрешим прерывания
		...
}
